workrave (1.10.54-3) unstable; urgency=medium

  [ Alessandro Astone ]
  * d/p: Declare support for GNOME Shell 50

  [ Francois Marier ]
  * Bump Standards-Version to 4.7.3
  * Bump copyright year in debian/copyright
  * Fix typo in CC-BY-3.0 license text

 -- Francois Marier <francois@debian.org>  Tue, 24 Feb 2026 11:52:51 -0800

workrave (1.10.54-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove unnecessary Depends: libgirepository1.0-dev
  * Remove obsolete Pre-Depends

  [ Francois Marier ]
  * Add debian/salsa-ci.yml

 -- Francois Marier <francois@debian.org>  Fri, 24 Oct 2025 11:03:06 -0700

workrave (1.10.54-1) unstable; urgency=medium

  [ Francois Marier ]
  * New upstream version 1.10.54 (fixes: #1115529)
  * Add new build dependency
  * Keep debian/files out of git
  * Re-enable pristine-tar
  * Re-run `wrap-and-sort -ast`
  * Remove unnecessary "Rules-Require-Root: no" from debian/control

  [ Jeremy Bícha ]
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Francois Marier <francois@debian.org>  Sat, 18 Oct 2025 14:18:34 -0700

workrave (1.10.53-2) unstable; urgency=medium

  * Add missing Replaces in debian/control (closes: #1101970)
  * Add debian/gbp.conf to force pristine-tar OFF temporarily
  * Bump Standards-Version up to 4.7.2

 -- Francois Marier <francois@debian.org>  Thu, 03 Apr 2025 21:01:40 -0700

workrave (1.10.53-1) unstable; urgency=medium

  * New upstream release (closes: #1096060)
    - drop gnome-shell-46.patch and gnome48.patch (applied upstream)
  * Sort debian/control using "debputy reformat --style black"
  * Bump copyright years in debian/copyright

 -- Francois Marier <francois@debian.org>  Sun, 16 Feb 2025 09:18:25 -0800

workrave (1.10.52-6) unstable; urgency=medium

  * Add build-depend on libxfce4ui-2-dev (closes: #1091108)

 -- Francois Marier <francois@debian.org>  Sun, 22 Dec 2024 17:48:44 -0800

workrave (1.10.52-5) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079260)
  * Bump maximum GNOME Shell to 47

  [ Francois Marier ]
  * Bump Standards-Version up to 4.7.0
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Fri, 13 Sep 2024 21:51:21 -0700

workrave (1.10.52-3) unstable; urgency=medium

  * Build with --enable-gnome45 option (closes: #1052115)
  * debian/control: Bump minimum GNOME Shell to 45 to match metadata.json

 -- Francois Marier <francois@debian.org>  Sat, 13 Jul 2024 10:10:57 -0700

workrave (1.10.52-2) unstable; urgency=medium

  * Update Build-Depends to libglib2.0-0t64 (closes: #1068062)
  * Add support for gnome-shell 46 (closes: #1052115)

 -- Francois Marier <francois@debian.org>  Sun, 31 Mar 2024 15:35:10 -0700

workrave (1.10.52-1) unstable; urgency=medium

  * New upstream release
    - adds optional build-time support for GNOME 45 (This will be enabled
      later to fix bug #1052115.)
  * Fix GitHub watch file.

 -- Francois Marier <francois@debian.org>  Tue, 26 Sep 2023 09:58:08 -0700

workrave (1.10.51.1-5) unstable; urgency=medium

  * Add missing Breaks in workrave package.
  * Drop obsolete Breaks, Replaces and Build-Conflicts from debian/control.

 -- Francois Marier <francois@debian.org>  Sun, 17 Sep 2023 11:52:39 -0700

workrave (1.10.51.1-4) unstable; urgency=medium

  * Patch upstream appdata.xml to improve GNOME Software listing.
  * Move appdata.xml to the workrave package.
  * Move /usr/share/gir-1.0/ to the workrave package (lintian warning).
  * Drop private_dirs patch which has been disabled since 2012.

 -- Francois Marier <francois@debian.org>  Sun, 17 Sep 2023 11:05:17 -0700

workrave (1.10.51.1-3) unstable; urgency=medium

  * Add missing libgtk-4-dev build dependency (closes: #1050303)

 -- Francois Marier <francois@debian.org>  Sat, 26 Aug 2023 10:09:21 -0700

workrave (1.10.51.1-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Bump maximum GNOME Shell to 44.

 -- Francois Marier <francois@debian.org>  Mon, 19 Jun 2023 19:29:04 -0700

workrave (1.10.51.1-1) unstable; urgency=medium

  * New upstream release
    - Add compatibility for GNOME Shell 44 (closes: #1037163)
    - Drop gnome-shell-43.patch

 -- Francois Marier <francois@debian.org>  Sun, 18 Jun 2023 14:07:31 -0700

workrave (1.10.50-3) unstable; urgency=medium

  [ Francois Marier ]
  * Update watch file to account for GitHub changes
  * Run wrap_and_sort -ast
  * Add Wayland work-around (fixes: #980873).
  * Bump Standards-Version up to 4.6.2.
  * Bump copyright year in debian/copyright.
  * Convert example dbus script to Python 3.
  * Remove redundant gnome-shell dependency.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gobject-introspection,
      libdbusmenu-glib-dev, libdbusmenu-gtk3-dev, libgirepository1.0-dev,
      libglib2.0-0, libglibmm-2.4-dev, libgtk-3-dev, libgtkmm-3.0-dev,
      libpulse-dev and libsigc++-2.0-dev.
    + workrave-gnome: Drop versioned constraint on gnome-shell in Depends.
  * Set upstream metadata fields: Bug-Submit.

 -- Francois Marier <francois@debian.org>  Thu, 26 Jan 2023 21:53:43 -0800

workrave (1.10.50-2) unstable; urgency=medium

  [ Jeremy Bicha ]
   * Add patch to declare compatibility with GNOME Shell 43
   * Bump maximum GNOME Shell to 43

  [ Francois Marier ]
  * Update Standards-Version to 4.6.1.

 -- Francois Marier <francois@debian.org>  Mon, 22 Aug 2022 23:03:20 -0700

workrave (1.10.50-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * Drop unused dbus-glib Build-Dep (closes: #955965).

  [ Francois Marier ]
  * New upstream release
  * Drop gnome_42 patch (applied upstream).

 -- Francois Marier <francois@debian.org>  Sat, 02 Apr 2022 20:51:59 -0700

workrave (1.10.49-3) unstable; urgency=medium

  * Let workrave suggest workrave extensions/plugins instead of the
    desktop environment packages directly.
  * Add patch to declare support for GNOME Shell 42.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Mar 2022 13:22:16 +0100

workrave (1.10.49-2) experimental; urgency=medium

  * Drop obsolete Breaks/Replaces.
  * Split applets into different binary packages to avoid pulling in
    a plethora of unwanted dependencies (closes: #783845).
  * Tighten GNOME shell deps according to metadata.json (closes: #802511).

 -- Jordi Mallach <jordi@debian.org>  Sun, 06 Feb 2022 11:49:15 +0100

workrave (1.10.49-1) unstable; urgency=medium

  * New upstream release
  * Bump copyright years in debian/copyright.

 -- Francois Marier <francois@debian.org>  Thu, 06 Jan 2022 21:37:46 -0800

workrave (1.10.48-2) unstable; urgency=medium

  [ Jordi Mallach ]
  * Fix Repository field in upstream metadata.
  * Use https upstream urls and point to GitHub issue tracker.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.2.2.cvs20030617-1.

  [ Francois Marier ]
  * Fix ayatana-indicators3 install directory (closes: #1002248).

 -- Francois Marier <francois@debian.org>  Fri, 24 Dec 2021 13:58:16 -0800

workrave (1.10.48-1) unstable; urgency=medium

  [ Francois Marier ]
  * Update watch file to account for GitHub changes.

  [ Jordi Mallach ]
  * New upstream release.
  * Adapt watch file to further filename changes in GitHub releases.
  * Drop obsolete patches.
  * Update Standards-Version to 4.6.0.

 -- Jordi Mallach <jordi@debian.org>  Fri, 17 Sep 2021 12:47:23 +0200

workrave (1.10.44-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix-gnome-extension-crash.patch: new patch, fixes GNOME extension crash at
    Shell startup. (Closes: #986968)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Apr 2021 21:29:48 +0200

workrave (1.10.44-7) unstable; urgency=medium

  * Bump copyright years in debian/copyright.

 -- Francois Marier <francois@debian.org>  Tue, 19 Jan 2021 00:09:17 -0800

workrave (1.10.44-6) unstable; urgency=medium

  * Use upstream commit to fix build with xfce4-panel 4.15 (closes: #978188).

 -- Francois Marier <francois@debian.org>  Mon, 28 Dec 2020 18:00:59 -0800

workrave (1.10.44-5) unstable; urgency=medium

  [ Unit 193 ]
  * d/control:
    - Replace Build-Depends: xfce4-panel-dev → libxfce4panel-2.0-dev for GTK3.

  [ Francois Marier ]
  * Add upstream metadata.
  * Bump Standards-Version up to 4.5.1.
  * Update debian/watch file to version 4.

 -- Francois Marier <francois@debian.org>  Sat, 28 Nov 2020 19:31:24 -0800

workrave (1.10.44-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Install the gnome-panel module into multi-arch location.
  * Install the GObject introspection typelib into multi-arch location.
  * Use ${DEB_HOST_MULTIARCH} substitution in debian/workrave.install.

  [ Francois Marier ]
  * Rename Vcs-git to Vcs-Git in debian/control (lintian warning).

 -- Francois Marier <francois@debian.org>  Fri, 16 Oct 2020 20:54:31 -0700

workrave (1.10.44-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Switch from deprecated libpanel-applet-dev to libgnome-panel-dev.
    - Update install files.
    - Remove dh-exec build-dependency, no longer needed.

 -- Francois Marier <francois@debian.org>  Mon, 18 May 2020 17:10:14 -0700

workrave (1.10.44-2) unstable; urgency=medium

  * Restore missing private libraries.

 -- Francois Marier <francois@debian.org>  Sun, 17 May 2020 16:48:35 -0700

workrave (1.10.44-1) unstable; urgency=medium

  * New upstream release
  * Switch build dependency to libayatana-indicator3 (closes: #956759).
  * Patch configure.ac to build with libayatana-indicator3.
  * Bump debhelper-compat to 13.

 -- Francois Marier <francois@debian.org>  Sun, 17 May 2020 10:31:57 -0700

workrave (1.10.43-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Mon, 13 Apr 2020 17:47:12 -0700

workrave (1.10.42-1) unstable; urgency=medium

  * New upstream release.

 -- Francois Marier <francois@debian.org>  Fri, 10 Apr 2020 10:38:54 -0700

workrave (1.10.37-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version up to 4.5.0.
  * Switch from debian/compat to debhelper-compat (= 12).
  * Build without root.

 -- Francois Marier <francois@debian.org>  Wed, 18 Mar 2020 21:54:07 -0700

workrave (1.10.34-3) unstable; urgency=medium

  * Remove python-cheetah build dependency. (closes: #939480)

 -- Francois Marier <francois@debian.org>  Thu, 12 Sep 2019 09:17:56 -0700

workrave (1.10.34-2) unstable; urgency=medium

  * Add missing build-dep on libboost-dev and python3-jinja2
  * Bump Standards-Version up to 4.4.0

 -- Francois Marier <francois@debian.org>  Sun, 07 Jul 2019 13:36:55 -0700

workrave (1.10.34-1) unstable; urgency=medium

  * New upstream release
  * Fix workrave-dump script (closes: #826021)
  * Add metadata license to debian/copyright
  * Remove patches applied upstream
    - fix_appstream_xml.patch
    - fix_location_of_appdata.patch

 -- Francois Marier <francois@debian.org>  Sat, 06 Jul 2019 13:46:17 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog workrave-data`.
